CREATE TABLE fnd_rra_orders (
    ORDER_ID                 NUMBER(18, 0),
    ORDER_NUMBER             VARCHAR2(120)    NOT NULL,
    ORDER_DATE               DATE             NOT NULL,
    BASKET_FLAG              VARCHAR2(4)  ,
    ORDER_STATUS             VARCHAR2(120)    NOT NULL,
    CUSTOMER_ID              NUMBER(18, 0)    NOT NULL,
    CURRENCY_CODE            VARCHAR2(60) ,
    TOTAL_AMOUNT             NUMBER       ,
    SHIP_TO_ADDRESS_ID       NUMBER(18, 0)    NOT NULL,
    BILL_TO_ADDRESS_ID       NUMBER(18, 0)    NOT NULL,
    COMMENTS                 VARCHAR2(960),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ORDER_ID                 NUMBER(18, 0),
    ORDER_NUMBER             VARCHAR2(120)    NOT NULL,
    ORDER_DATE               DATE             NOT NULL,
    BASKET_FLAG              VARCHAR2(4)  ,
    ORDER_STATUS             VARCHAR2(120)    NOT NULL,
    CUSTOMER_ID              NUMBER(18, 0)    NOT NULL,
    CURRENCY_CODE            VARCHAR2(60) ,
    TOTAL_AMOUNT             NUMBER       ,
    SHIP_TO_ADDRESS_ID       NUMBER(18, 0)    NOT NULL,
    BILL_TO_ADDRESS_ID       NUMBER(18, 0)    NOT NULL,
    COMMENTS                 VARCHAR2(960),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_fnd_rra_orders PRIMARY KEY (ORDER_ID, ORDER_ID)
);
